[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLStatement.Macros

Set of macros for this SQL statement.

## Declaration

Source position: sqldb.pp line 438

`published property TSQLStatement.Macros : TParams;`

## Description

Macros is a collection of named macro values. In difference with Params the macro value is always replaced textually in the SQL statement before it is sent to the SQL engine. This allows you to parametrize parts of the SQL statement that the SQL engine will not let you parametrize: the table name, the order by clause or an IN clause in a SQL select statement. Macros are resolved before parameters are resolved.

## See also

Params |  | List of parameters.